Bug 252195 - [RHEL5.1 FEATURE] e1000: provide next-gen e1000e driver
[RHEL5.1 FEATURE] e1000: provide next-gen e1000e driver
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: hwdata (Show other bugs)
5.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
: OtherQA, Reopened
Depends On: 251735
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-14 13:48 EDT by Ken Reilly
Modified: 2009-06-19 20:08 EDT (History)
8 users (show)

See Also:
Fixed In Version: RHEA-2007-0524
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 12:59:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Ronald Pacheco 2007-08-14 15:27:30 EDT
Intel, this bug is to track the PCI IDS.
Comment 3 Karsten Hopp 2007-08-15 04:48:16 EDT
@Intel:
Several entries listed in pci.updates in the tarball aren't in the upstream
pci.ids, please submit them as soon as possible. 
I've added them manually for now, but as we usually ship the upstream pci.ids
file without any patches they might get lost otherwise.

    1004  82543GC Gigabit Ethernet Controller (Copper)
        8086 1004  PRO/1000 T Server Adapter
        8086 2004  PRO/1000 T Server Adapter

    107e  82572EI Gigabit Ethernet Controller (Fiber)
        8086 1085  PRO/1000 PF Server Adapter

    10a5  82571EB Gigabit Ethernet Controller (Fiber)
        8086 10a5  PRO/1000 PF Quad Port Server Adapter
        8086 10a6  PRO/1000 PF Quad Port Server Adapter

    
Comment 5 Ronald Pacheco 2007-08-15 18:47:42 EDT
Karsten,

There is a bit of confusion here.  Intel sent me the following, and I was hoping
you can help clarify.  Thanks for your help!

All of these IDs are in the Sourceforge repository already. You can see
them here: 
http://pci-ids.ucw.cz/iii/?i=8086  The issue could be that they were
left over in the pci.updates file since the e1000e only should have IDs
to support the ICH9 LAN (dev ID for 82562 and 82566) devices.  When they
say upstream I'm not sure what they mean.  I don't know what in the
upstream list but I thought they pull from the repository.  So I'm not
really sure what they are talking about.  The 0x1004 ID has been
supported for 7 years now so I really don't know what he's talking
about.
Comment 6 Karsten Hopp 2007-08-16 06:30:09 EDT
1004 was a false alarm, the others are not in http://pciids.sourceforge.net/pci.ids

A cross-check of http://pci-ids.ucw.cz/iii/?i=8086 shows that these entries have
been submitted, but are not yet accepted by the upstream maintainer and thus
didn't make it into the official pci.ids list.
I think were fine here and I just have to check if upstream adds them before our
final pull of the list, otherwise I'll have to add them manually again.
Comment 7 Ronald Pacheco 2007-08-16 06:44:33 EDT
Karsten,

Thanks for the note!
Comment 8 John Poelstra 2007-08-24 01:24:57 EDT
A fix for this issue should have been included in the packages contained in the
most recent snapshot (partners.redhat.com) for RHEL5.1.  

Requested action: Please verify that your issue is fixed as soon as possible to
ensure that it is included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

More assistance: If you cannot access bugzilla, please reply with a message to
Issue Tracker and I will change the status for you.  If you need assistance
accessing ftp://partners.redhat.com, please contact your Partner Manager.
Comment 9 John Poelstra 2007-08-30 20:28:30 EDT
A fix for this issue should have been included in the packages contained in the
RHEL5.1-Snapshot4 on partners.redhat.com.  

Requested action: Please verify that your issue is fixed *as soon as possible*
to ensure that it is included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message to Issue Tracker and
I will change the status for you.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 10 John Poelstra 2007-09-11 15:21:53 EDT
A fix for this issue should have been included in the packages contained in the
RHEL5.1-Snapshot6 on partners.redhat.com.  

Requested action: Please verify that your issue is fixed ASAP to confirm that it
will be included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message to Issue Tracker and
I will change the status for you.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 11 John Poelstra 2007-09-20 00:47:15 EDT
A fix for this issue should have been included in the packages contained in the
RHEL5.1-Snapshot7 on partners.redhat.com.  

Requested action: Please verify that your issue is fixed ASAP to confirm that it
will be included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message to Issue Tracker and
I will change the status for you.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 12 John Poelstra 2007-09-26 19:44:45 EDT
A fix for this issue should be included in the packages contained in
RHEL5.1-Snapshot8--available now on partners.redhat.com.  

IMPORTANT: This is the last opportunity to confirm that your issue is fixed in
the RHEL5.1 update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message to Issue Tracker and
I will change the status for you.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 16 Red Hat Bugzilla 2007-10-23 11:25:14 EDT
User pgraner@redhat.com's account has been closed
Comment 17 errata-xmlrpc 2007-11-07 12:59:11 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0524.html

Note You need to log in before you can comment on or make changes to this bug.